<?php 
	header('Content-Type: text/css');
	$tmp = explode('/', str_replace('\\', '/', dirname(__FILE__)));
	array_pop($tmp);
	include(implode('/', $tmp) . '/includes/json.php');
	$json = new PSGalleryServicesJSON();
	$id = "#GalleryImage_".$_GET["divid"];
	$galPath = $_GET["path"];
?>
/*
 **	Common styles 
 */

/* Attempt to reset posible CSS inheritances */
<?php echo $id?>, 
<?php echo $id?> div,
<?php echo $id?> table, 
<?php echo $id?> tr, 
<?php echo $id?> td,  
<?php echo $id?> h1, 
<?php echo $id?> h2, 
<?php echo $id?> a,
<?php echo $id?> span,  
<?php echo $id?> ul, 
<?php echo $id?> img, 
<?php echo $id?> li {font:12px/13px Arial, Verdana, Tahoma, sans-serif; letter-spacing:0px; text-align:left; text-decoration:none;background:none; border:none; padding:0; margin:0; color:#000000;}
<?php echo $id?> .ig-thumb:before {content:"";}

.gallery-image-page-backlnk {margin:15px 0 0 0;}
h2.gallery-image-page-header {margin:15px 0 5px 0;font-size:14px;}
.gallery-image-page-clear {clear:both;font-size:0px;}

<?php echo $id?>  {font:12px/13px Arial, Verdana, Tahoma, sans-serif;letter-spacing:0px;text-align:left;text-decoration:none;background:none;border:none;margin:0 0 20px 0;}
<?php echo $id?> a, 
<?php echo $id?> a:visited{color:#0D6DCE;text-decoration:none;font-weight:normal;}
<?php echo $id?> a:hover{color:#0D6DCE;text-decoration:underline;}
<?php echo $id?> .ig-ip-headctrls {color:#666666;font-size:11px;line-height:15px;padding:3px 0 7px 0;position:relative;}
<?php echo $id?> .ig-ip-headctrls span {color:#666666;font-size:11px;line-height:15px;}
<?php echo $id?> .ig-ip-pager{position:absolute;right:0;text-align:right;top:3px;_top:5px;margin:0;}
<?php echo $id?> .ig-clink{margin:0 0 0 12px;font-weight:normal;}
<?php echo $id?> .disabled,
<?php echo $id?> .disabled:visited, 
<?php echo $id?> .disabled:hover{color:#C8C8C8;cursor:default;text-decoration:none;}
<?php echo $id?> .ig-ip-imagebox {text-align:left;width:100%;margin:0 0 18px 0;}
<?php echo $id?> .ig-ip-imagebox a img,
<?php echo $id?> .ig-ip-imagebox a:hover img{border:1px solid #DDDDDD;display:inline;}
<?php echo $id?> .ig-ip-copyright {text-align:right;color:#666666}
<?php echo $id?> .ig-ip-descr {clear:both;font-size:11px;margin:0 0 20px 1px;}
<?php echo $id?> .ig-ip-footer {color:#333333;height:18px;padding:0 0 4px 0;margin:2px 0 0 0;font-weight:normal;position:relative;}
<?php echo $id?> .ig-ip-email, 
<?php echo $id?> .ig-ip-email:visited {background:transparent url(../widget/gallery-spr-hor.png) no-repeat scroll -5px -309px;font-size:11px;font-weight:bold;padding:2px 0 3px 20px;}
<?php echo $id?> .ig-ip-email:hover{background:url(../widget/gallery-spr-hor.png) no-repeat -5px -309px;}
<?php echo $id?> .ig-ip-facebook, 
<?php echo $id?> .ig-ip-facebook:visited {background:transparent url(../widget/gallery-spr-hor.png) no-repeat scroll -7px -340px;font-size:11px;font-weight:bold;padding:2px 0 3px 20px;}
<?php echo $id?> .ig-ip-facebook:hover{background:url(../widget/gallery-spr-hor.png) no-repeat -7px -340px;}
<?php echo $id?> .ig-ip-powered-by {cursor:default;font-size:10px;position:absolute;right:2px;text-align:right;top:3px;}
<?php echo $id?> .ig-ip-powered-by a {color:#0D6DCE;font-size:10px;font-weight:bold;}
<?php echo $id?> .ig-ip-spacer {width:249px;height:0px;font-size:0;}

.gallery-widget-popup {position: absolute;z-index:100;}
.gallery-widget-popup .ig-ipp-image{border:1px solid #DDDDDD;}
.gallery-widget-popup .ig-ipp-controls{position:absolute;display:none;top:0; right: 0;width:110px;margin:0 auto;}
.gallery-widget-popup .ig-ipp-ctrlblock{display:none;}
.gallery-widget-popup .ig-ipp-paler{height:30px;width:100%;background-color:#FFFFFF;}
.gallery-widget-popup .ig-ipp-links{position:absolute;top:10px; left: 0;width:100%;text-align:center;}
.gallery-widget-popup .ig-ipp-fitscr, 
.gallery-widget-popup .ig-ipp-fulsz{font-weight:bold;font-size:12px;display:none;}

<?php 
	$data = false;
	$font = false;
	
	if (isset($_GET['data'])) {
		$data = stripcslashes(urldecode($_GET["data"]));
	}
	
	if(!$data)
	{
		if(file_exists($galPath))
		{
			$data = file_get_contents($galPath);
			$data = stripcslashes(urldecode(str_replace("Gallery = ", "", $data)));
			$cust = $json->decode($data);
			$cust = $cust->data;
		}
		else
		{
			exit();
		}
	}
	else
	{
		$cust = $json->decode($data);
	}
	if($cust->f && !strstr($cust->f, "Select a font"))
	{
		$font = $cust->f;
	}
	if($cust->lc)
	{
		$linkcol = $cust->lc;
	}
	if($cust->lhc)
	{
		$linkhovcol = $cust->lhc;
	}
?>

/* 
 **	Customization related styles 
 */

<?php  if($font): ?>
<?php echo $id?>{font-family:<?php echo $font?>;}
<?php endif; ?>
<?php echo $id?> a,
<?php echo $id?> a:visited{color:<?php echo (isset($linkcol)?$linkcol:"#0D6DCE")?>;text-decoration:none;}
<?php echo $id?> a:hover{color:<?php echo (isset($linkhovcol)?$linkhovcol:"#0D6DCE")?>;text-decoration:underline;}
<?php echo $id?> .disabled, 
<?php echo $id?> .disabled:visited, 
<?php echo $id?> .disabled:hover {color:#C8C8C8;cursor:default;text-decoration:none;}
